I=(S=Uno.Int2 = function(){
    this.X = 0;
    this.Y = 0;
}).prototype;

I.ToString = function()
{
    return "Uno.Int2";
};

I.GetHashCode = function()
{
    return 0;
};

S.$0 = function(x, y) {
    var $this = new Uno.Int2;
    $this.X = x;
    $this.Y = y;
    return $this;
};
